<?php
namespace NeoDrawFull\NeoDraw; if (!defined("ABSPATH")) { die("neoWP direct access not allowed"); }





\NeoDrawFull\NeoGlobal\add_action_hook("enqueue_block_editor_assets", function () {
    if (!\NeoDrawFull\NeoGlobal\current_user_can__neo_draw()) { return; }
    draw_pagebuilder_init();
    \NeoDrawFull\NeoGlobal\enqueue_js("neo-draw--pb-gutenberg-block.js", dependencies: ["wp-hooks", "wp-blocks", "wp-element", "wp-block-editor", "wp-components"]);
});
\NeoDrawFull\NeoGlobal\add_action_hook("enqueue_block_assets", function () {
    if (!is_admin()) { return; }
    if (!\NeoDrawFull\NeoGlobal\current_user_can__neo_draw()) { return; }


    \NeoDrawFull\NeoGlobal\enqueue_css("neo-draw--pb-gutenberg-block.css");
});
